## tdevelop-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdevelop )


##### include essential cmake modules ###########

include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckIncludeFile )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### add apidox targets ############

add_custom_target( apidox
  COMMAND ${CMAKE_COMMAND} -E env
    "TQTDOCDIR=/usr/share/tqt3/doc/html"
    "DOXDATA=${HTML_INSTALL_DIR}/en/common"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### build tools ###############################

option( WITH_BUILDTOOL_ALL "Enable all build tools" OFF )
option( WITH_BUILDTOOL_ADA "Enable ada build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_ANT "Enable ant build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_AUTOTOOLS "Enable autotools build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_CUSTOMMAKEFILES "Enable custommakefiles build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_PASCAL "Enable pascal build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_QMAKE "Enable qmake build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_SCRIPT "Enable script build tool" ${WITH_BUILDTOOL_ALL} )


##### languages #################################

option( WITH_LANGUAGE_ALL "Enable all languages" OFF )
option( WITH_LANGUAGE_ADA "Enable ada language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_BASH "Enable bash language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_CPP "Enable cpp language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_FORTRAN "Enable fortran language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_JAVA "Enable java language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_CSHARP "Enable csharp language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PASCAL "Enable pascal language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PERL "Enable perl language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PHP "Enable php language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PYTHON "Enable python language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_RUBY "Enable ruby language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_SQL "Enable sql language" ${WITH_LANGUAGE_ALL} )


##### version control systems ###################

option( WITH_VCS_ALL "Enable all version control systems"  OFF )
option( WITH_VCS_CLEARCASE "Enable clearcase support" ${WITH_VCS_ALL} )
option( WITH_VCS_CVSSERVICE "Enable cvsservice support" ${WITH_VCS_ALL} )
option( WITH_VCS_PERFORCE "Enable perforce support" ${WITH_VCS_ALL} )
option( WITH_VCS_SUBVERSION "Enable subversion support" ${WITH_VCS_ALL} )


##### components ################################

option( BUILD_ALL "Build all components" OFF )
option( BUILD_KDEVDESIGNER "Build kdevdesigner" ${BUILD_ALL} )
option( BUILD_VISUALBOYADVANCE "Build embedded/visualboyadvance" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )


##### optional stuff ############################

option( WITH_DEPRECATION "Enable deprecation warnings" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


##### various definitions #######################

if( NOT DEFINED QT_DOCDIR )
  find_path( QT_DOCDIR index.html
    ${TQTDIR}/doc/html
    $ENV{TQTDIR}/doc/html )
  if( NOT QT_DOCDIR )
    set( QT_DOCDIR "QT_DOCDIR is not set" )
  endif( )
endif( )

if( NOT DEFINED TDELIBS_DOXYDIR )
  set( TDELIBS_DOXYDIR "${TDE_HTML_DIR}/en/tdelibs-apidocs" )
endif( )


if( NOT DEFINED FULL_MAKE_COMMAND )
  find_program( FULL_MAKE_COMMAND
    NAMES gmake )
  if( NOT FULL_MAKE_COMMAND )
    find_program( FULL_MAKE_COMMAND
      NAMES make )
    if( NOT FULL_MAKE_COMMAND )
      tde_message_fatal( "Either make or gmake was NOT found." )
    endif( NOT FULL_MAKE_COMMAND )
  endif( NOT FULL_MAKE_COMMAND )
endif( NOT DEFINED FULL_MAKE_COMMAND )


if( NOT DEFINED MAKE_COMMAND )
  get_filename_component( MAKE_COMMAND "${FULL_MAKE_COMMAND}" NAME )
endif( NOT DEFINED MAKE_COMMAND )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
  ${TQT_CFLAGS_OTHER}
)

if( NOT WITH_DEPRECATION )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated" )
endif( )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include tqt.h" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### install data ##############################

tde_create_translated_desktop(
  SOURCE
    tdevelop.desktop kdevassistant.desktop tdevelop_ruby.desktop
    tdevelop_c_cpp.desktop tdevelop_kde_cpp.desktop
    tdevelop_scripting.desktop
  PO_DIR tdevelop-desktops
)

tde_create_translated_desktop(
  SOURCE tde-development-tdevelop.directory
  DESTINATION ${XDG_DIRECTORY_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

tde_create_translated_desktop(
  SOURCE x-tdevelop.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR tdevelop-desktops
)

install( PROGRAMS
    kdevprj2kdevelop
  DESTINATION ${BIN_INSTALL_DIR} )


##### source directories ########################

add_subdirectory( lib )
add_subdirectory( src )
add_subdirectory( parts )
add_subdirectory( buildtools )
add_subdirectory( editors )
add_subdirectory( languages )
add_subdirectory( mimetypes )
add_subdirectory( pics )
add_subdirectory( vcs )
add_subdirectory( embedded )
tde_conditional_add_subdirectory( BUILD_KDEVDESIGNER kdevdesigner )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== mimetypes/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE x-fortran.desktop
  DESTINATION ${MIME_INSTALL_DIR}/text
  PO_DIR tdevelop-desktops
)

=== buildtools/pascal/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets/
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevpascalproject.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevpascalproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpascalproject )


##### libkdevpascalproject (module) #############

tde_add_kpart( libkdevpascalproject AUTOMOC
  SOURCES
    pascalproject_part.cpp pascalproject_widget.cpp
    pascalproject_optionsdlgbase.ui pascalprojectoptionsdlg.cpp
    pascalglobaloptionsdlg.cpp service.cpp
  LINK kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== doc/tde_app_devel/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION tde_app_devel )

=== doc/tdevelop/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION tdevelop )

=== languages/csharp/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevcsharpsupport.desktop csharpdoc.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES
    kdevcsharpsupport.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevcsharpsupport )


##### libkdevcsharpsupport (module) #############

tde_add_kpart( libkdevcsharpsupport AUTOMOC
  SOURCES
    csharpsupportpart.cpp csharpconfigwidget.cpp
    csharpconfigwidgetbase.ui
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeio_csharpdoc (module) ####################

tde_add_kpart( tdeio_csharpdoc AUTOMOC
  SOURCES csharpdoc.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/perl/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevperlsupport.desktop perldoc.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevperlsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevperlsupport )


##### libkdevperlsupport (module) ###############

tde_add_kpart( libkdevperlsupport AUTOMOC
  SOURCES
    perlparser.cpp perlsupportpart.cpp
    perlconfigwidget.cpp perlconfigwidgetbase.ui
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeio_perldoc (module) ######################

tde_add_kpart( tdeio_perldoc
  SOURCES
    perldoc.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/python/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevpythonsupport.desktop pydoc.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kde_pydoc.py DESTINATION ${DATA_INSTALL_DIR}/tdeio_pydoc )
install( FILES kdevpythonsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport )


##### libkdevpythonsupport (module) #############

tde_add_kpart( libkdevpythonsupport AUTOMOC
  SOURCES
    pythonsupportpart.cpp pythonconfigwidget.cpp
    pythonconfigwidgetbase.ui pythonimplementationwidget.cpp
    tqtdesignerpythonintegration.cpp
  LINK designerintegration-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeio_pydoc (module) ########################

tde_add_kpart( tdeio_pydoc
  SOURCES pydoc.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/ruby/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )
add_subdirectory( debugger )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevrubysupport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES rubytemplates DESTINATION ${DATA_INSTALL_DIR}/kdevabbrev/templates )
install( FILES kdevrubysupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevrubysupport )
install( FILES ruby_config.png ruby_run.png DESTINATION ${DATA_INSTALL_DIR}/kdevrubysupport/pics )


##### libkdevrubysupport (module) ###############

tde_add_kpart( libkdevrubysupport AUTOMOC
  SOURCES
    rubysupport_part.cpp rubyconfigwidgetbase.ui
    rubyconfigwidget.cpp tqtdesignerrubyintegration.cpp
    rubyimplementationwidget.cpp
  LINK designerintegration-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/sql/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/languages/sql
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevsqlsupport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevsqlsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsqlsupport )


##### libkdevsqlsupport (module) ################

tde_add_kpart( libkdevsqlsupport AUTOMOC
  SOURCES
    sqlconfigwidget.ui sqlsupport_part.cpp sqlactions.cpp
    sqloutputwidget.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== parts/astyle/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/astyle
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevastyle.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevpart_astyle.rc DESTINATION ${DATA_INSTALL_DIR}/kdevastyle )


##### libkdevastyle (module) ####################

tde_add_kpart( libkdevastyle AUTOMOC
  SOURCES
    astyle_part.cpp astyleconfig.ui astyle_widget.cpp
    astyle_adaptor.cpp
  LINK astyle-static tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== parts/diff/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevdiff.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevdiff.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdiff )


##### libkdevdiff (module) ######################

tde_add_kpart( libkdevdiff AUTOMOC
  SOURCES diffpart.cpp diffwidget.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdevelop-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tdevelop-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python3-all, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev
Standards-Version: 3.8.4

Package: tdevelop-trinity
Architecture: any
Depends: ${shlibs:Depends}, tdevelop-data-trinity (>= ${source:Version}), tdebase-trinity-bin
Replaces: kdevelop-trinity (<< 4:14.0.0~)
Breaks: kdevelop-trinity (<< 4:14.0.0~)
Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, tde-cmake, ruby, python3-all, g++, kdevdesigner-trinity
Description: An IDE for Unix/X11
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.

Package: tdevelop-trinity-doc
Section: doc
Architecture: all
Replaces: kdevelop-trinity-doc (<< 4:14.0.0~)
Breaks: kdevelop-trinity-doc (<< 4:14.0.0~)
Description: An IDE for Unix/X11 - documentation
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.
 .
 This package contains documentation for TDevelop.

Package: tdevelop-data-trinity
Architecture: all
Replaces: kdevelop-data-trinity (<< 4:14.0.0~)
Breaks: kdevelop-data-trinity (<< 4:14.0.0~)
Description: An IDE for Unix/X11 - data
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.
 .
 This package contains arch independent data for TDevelop.

Package: kdevdesigner-trinity
Architecture: any
Depends: ${shlibs:Depends}, tdevelop-trinity (= ${source:Version})
Description: KDevDesigner part for TDevelop
 This package provides the KDevDesigner part for TDevelop

Package: tdevelop-trinity-dev
Architecture: any
Depends: tdevelop-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Replaces: kdevelop-trinity-dev (<< 4:14.0.0~)
Breaks: kdevelop-trinity-dev (<< 4:14.0.0~)
Description: An IDE for Unix/X11 - development files
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.
 .
 This package contains development files for TDevelop.

Package: tdevelop-trinity-dbg
Section: debug
Architecture: any
Priority: extra
Replaces: kdevelop-trinity-dbg (<< 4:14.0.0~)
Breaks: kdevelop-trinity-dbg (<< 4:14.0.0~)
Depends: tdevelop-trinity (= ${binary:Version}), tdelibs-trinity-dbg
Description: debugging symbols for tdevelop
 This package contains the debugging symbols associated with tdevelop.
 They will automatically be used by gdb for debugging tdevelop-related
 issues.

## tdevelop-trinity 14.1.6~pre0

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5f7b2eed9d554a8ee935065534be57de37d6a6b1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdevelop-trinity 14.1.6~pre3

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre3-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for f4a4eccce34446637b1af97c855bbb36ace58117
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:52 +0100

## tdevelop-trinity 14.1.6~pre5

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ec99420a0cdcbac4c79cce40a79705e49633394f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 31 Dec 2025 02:20:53 +0100

## tdevelop-trinity 14.1.6~pre8

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7010b50044b0eaa8bb6e8c4ce6ba9310e4eb3288
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:22 +0100

## tdevelop-trinity 14.1.6~pre11

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre11-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for edc66e615aee11326e7c2515036aed03c94f478c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:19:51 +0100

## tdevelop-trinity 14.1.6~pre14

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre14-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ed5e55f3a4ebb7abd0b961e2c7fc0fb3ee393fc4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:57:16 +0100

## tdevelop-trinity 14.2.0~pre103

=== CMakeLists.txt ===
--- 
+++ 
@@ -180,7 +180,6 @@
   set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated" )
 endif( )
 
-set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include tqt.h" )
 set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
 set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

=== doc/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_auto_add_subdirectories()

=== embedded/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_conditional_add_subdirectory( BUILD_VISUALBOYADVANCE visualboyadvance )

=== lib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( util )
add_subdirectory( interfaces )
add_subdirectory( widgets )
add_subdirectory( antlr )
add_subdirectory( catalog )
add_subdirectory( cppparser )
add_subdirectory( astyle )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdevelop (shared) #########################

tde_add_library( tdevelop SHARED
  SOURCES dummy.cpp
  VERSION 1.0.0
  EMBED kdevutil-static kdevinterfaces-static
  LINK
    kdevpropertyeditor-shared
    tdescript-shared tdeparts-shared tdetexteditor-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== buildtools/ada/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevadaproject.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevadaproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevadaproject )


##### libkdevadaproject (module) ################

tde_add_kpart( libkdevadaproject AUTOMOC
  SOURCES
    adaproject_part.cpp adaproject_widget.cpp
    adaproject_optionsdlgbase.ui adaprojectoptionsdlg.cpp
    adaglobaloptionsdlg.cpp service.cpp
  LINK kdevbuildbase-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== embedded/visualboyadvance/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdevvisualboyadvance (module) #############

tde_add_kpart( libkdevvisualboyadvance AUTOMOC
  SOURCES
    visualboyadvance_part.cpp vbaconfigwidgetbase.ui vbaconfigwidget.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevvisualboyadvance.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install(
  FILES kdevpart_visualboyadvance.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevvisualboyadvance
)

=== kdevdesigner/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevdesigner.desktop
  PO_DIR tdevelop-desktops
)

install( FILES kdevdesigner_shell.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdesigner )


##### kdevdesigner (executable) #################

tde_add_executable( kdevdesigner AUTOMOC
  SOURCES main.cpp kdevdesigner.cpp
  LINK tdeparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== lib/antlr/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( src )
add_subdirectory( antlr )

=== lib/astyle/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### astyle (static) ###########################

tde_add_library( astyle STATIC_PIC
  SOURCES
    ASBeautifier.cpp ASEnhancer.cpp
    ASFormatter.cpp ASResource.cpp
)

=== lib/cppparser/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DKDEVELOP_BGPARSER )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    ast.h driver.h lexer.h parser.h tree_parser.h errors.h
    lookup.h cachemanager.h lexercache.h macro.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/cppparser )


##### kdevcppparser (shared) ####################

tde_add_library( kdevcppparser SHARED AUTOMOC
  SOURCES
    ast.cpp cachemanager.cpp driver.cpp errors.cpp lexer.cpp
    lexercache.cpp lookup.cpp parser.cpp tree_parser.cpp
  VERSION 0.0.0
  LINK kdevinterfaces-static tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== lib/util/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    domutil.h execcommand.h filetemplate.h urlutil.h
    configwidgetproxy.h rurl.h tdescriptactionmanager.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/util )


##### kdevutil (static) #########################

tde_add_library( kdevutil STATIC_PIC AUTOMOC
  SOURCES
    blockingtdeprocess.cpp configwidgetproxy.cpp
    domutil.cpp execcommand.cpp filetemplate.cpp
    kdeveditorutil.cpp kdevjobtimer.cpp
    kdevshellwidget.cpp tdescriptactionmanager.cpp
    rurl.cpp settings.cpp urlutil.cpp
)

=== parts/bookmarks/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevbookmarks.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)


##### libkdevbookmarks (module) #################

tde_add_kpart( libkdevbookmarks AUTOMOC
  SOURCES
    bookmarks_part.cpp bookmarks_widget.cpp bookmarks_settings_base.ui
    bookmarks_settings.cpp bookmarks_config.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre103-0ubuntu24.04.0+7) noble; urgency=low

  * Automated git build for 6a709d087ffa69c1b38625e688b834d8ad676abd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_DH_STRIP_ARGS  := --dbg-package=tdevelop-trinity-dbg

PACKAGES_WITH_LIBS := tdevelop-trinity

DEB_KDE_APIDOX := yes

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_BUILDTOOL_ALL="ON" \
 -DWITH_LANGUAGE_ALL="ON" \
 -DWITH_VCS_ALL="ON" \
 -DTQTDIR="/usr/share/tqt3"

binary-install/tdevelop-trinity::
	mkdir -p debian/tdevelop-trinity/opt/trinity/share/pixmaps
	cp debian/tdevelop.xpm debian/tdevelop-trinity/opt/trinity/share/pixmaps
	mv debian/tdevelop-trinity/usr/share/man debian/tdevelop-trinity/opt/trinity/share/
	rm debian/tdevelop-trinity/opt/trinity/lib/trinity/libkdevdesignerpart.*
	rm debian/tdevelop-trinity/opt/trinity/share/services/kdevdesigner_part.desktop

## tdevelop-trinity 14.2.0~pre106

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre106-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 5ca6e2a00f1fdfa24893c6b401ff279f0dbec86b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:30 +0100

## tdevelop-trinity 14.2.0~pre107

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre107-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for b387753da9f77da1aba8e85c0e48f3e351e54c90
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 09:27:23 +0100

## tdevelop-trinity 14.2.0~pre108

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre108-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 98195ec8218519737d5f6e88ee9598d71fcbf8fa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 15:27:24 +0100

## tdevelop-trinity 14.2.0~pre111

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre111-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 678372ad3c630acba3273ea42e081263269c08a0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:51 +0100

## tdevelop-trinity 14.2.0~pre114

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre114-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 75d2e058e77a180d217a83fd16e27427f5445834
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:41 +0100

## tdevelop-trinity 14.2.0~pre117

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre117-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ce7cada3e1ce3e62e87380ca6b4f1cf598495891
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:56:57 +0100
